name: 'nvme-rdma'
universal_id: blktests.nvme-rdma
location: storage/blktests/nvme/nvme-rdma
host_requires: cases/storage/blktests/nvme/nvme-rdma/host_requires.xml.j2
enabled:
  arches:
    # BZ1872714
    not: ppc64
  components:
    # the test should run for related MRs and on mainline kernel that uses kt1
    # official rhel builds shouldn't run it
    - not: officialbuild
sets:
  - kt1
  - stor
target_sources:
  - '@block'
  - '@lib'
  - '@nvme-rdma'
max_duration_seconds: 3600
cases:
  rhel7:
    name: 'rhel7'
    enabled:
      trees:
        # set 7.9 here
        - rhel79-z

  non-rhel7:
    enabled:
      not:
        or:
          - trees: rhel[567].*|rhel80.*|rhel81-z
          # nvmme upstream issue:
          # http://lists.infradead.org/pipermail/linux-nvme/2020-August/019120.html
          - trees: fedora-latest|rawhide|eln
          # rdma_rxe/siw unmaintained/disabled on rhel9/rhel10
          - trees: rhel9.*|c9s
          - trees: rhel10.*|c10s
